package com.ruoyi.xq.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.PageQuery;
import com.ruoyi.xq.domain.User;
import com.ruoyi.xq.domain.UserPictures;
import com.ruoyi.xq.dto.admin.user.UserPicturesAdminMergeVo;
import com.ruoyi.xq.dto.admin.user.UserPicturesAdminVo;

import java.util.List;

/**
 * 用户相册管理Service接口
 *
 * @author 77
 * @date 2024-03-04
 */
public interface UserPicturesService extends IService<UserPictures>  {

    List<UserPictures> listByUserIdAuditingAndSuccess(Long userId);

    List<UserPictures> listByUserIdSuccess(Long userId);

    Page<UserPicturesAdminVo> pageAdmin(PageQuery pageQuery, UserPicturesAdminVo bo);

    void auditSuccess(String ids);

    void auditFail(Long id,String auditRemark);

    void addPictures(List<String> picturesList, User user);

    Page<UserPicturesAdminMergeVo> pageAdminManager(PageQuery pageQuery, UserPicturesAdminMergeVo bo);

    void batchUpdate(Long userId,List<UserPictures> userPictures);

}
